<template>
  <div class="restaurant">
    <div
      class="restaurant-logo"
      :style="{ 'background-image': `url('${restaurant.logoXS}')` }"
    ></div>
    <div>
      <div class="restaurant-name">{{ restaurant.company.name }}</div>
      <div class="restaurant-address">{{ restaurant.buildingAddress }}</div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    restaurant: {
      type: Object
    }
  }
};
</script>

<style lang="scss" scoped>
.restaurant {
  display: flex;
  margin-bottom: 30px;
}

.restaurant-logo {
  width: 50px;
  height: 50px;
  background-position: center center;
  background-size: cover;
  margin-right: 15px;
}

.restaurant-name {
  font-size: 18px;
  font-weight: 500;
  line-height: 28px;
  margin-bottom: 4px;
}

.restaurant-address {
  font-size: 13px;
  color: $color-primary-grey;
  line-height: 18px;
}
</style>
